/*
 * @Author: your name
 * @Date: 2022-02-23 15:28:07
 * @LastEditTime: 2022-03-04 17:16:53
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: /newDev/gassafety-progress/gassafetyprogress-web/src/api/bigWindow/getdevice.js
 */
import request from '@/utils/request'

// 查询管道
export function getPipe(query) {
  return request({
    url: '/pipe/pipe/selectPipeData',
    method: 'get',
    params: query
  })
}

// 调压箱
export function getTyx(query) {
  return request({
    url: '/pipe/pipe/selectDeviceData',
    method: 'get',
    params: query
  })
}
// 调压箱下面的设备接口
export function getTyxDevice(query) {
  return request({
    url: '/pipe/pipe/selectPressureFlow',
    method: 'get',
    params: query
  })
}


// 是阀门
export function getFm(query) {
  return request({
    url: '/pipe/pipe/selectvalveData',
    method: 'get',
    params: query
  })
}

// 阀门下面的设备接口
export function getFmDevice(query) {
  return request({
    url: '/pipe/pipe/selectPressureFlow',
    method: 'get',
    params: query
  })
}


// 厂站
export function getCz(query) {
  return request({
    url: '/pipe/pipe/selectTSiteStationInfoData',
    method: 'get',
    params: query
  })
}
// 场站下的设备
export function getCzDevice(query) {
  return request({
    url: '/pipe/pipe/selecttSiteStationInfoData',
    method: 'get',
    params: query
  })
}
// 监控
export function getVideo(query) {
  return request({
    url: '/pipe/pipe/selectTvideoManagerData',
    method: 'get',
    params: query
  })
}
// 燃气用户接口
export function getUser(query) {
  return request({
    url: '/pipe/pipe/selectTdetectorUser',
    method: 'get',
    params: query
  })
}
// 企业接口
export function getEnterprise(query) {
  return request({
    url: '/regulation/info/enterpriseInfoList',
    method: 'get',
    params: query
  })
}

// 获取公司名称以及id
export function getCompany(query) {
  return request({
    url: '/pipe/pipe/selectTenterpriseInfoData',
    method: 'get',
    params: query
  })
}
// 报警
export function userAlarm(query) {
  return request({
    url: '/supervise/user/getDetectorUserAlarmList',
    method: 'get',
    params: query
  })
}
